Interface DMSEndpointBuilderFactory.DMSBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- DMSEndpointBuilderFactory
public static interface DMSEndpointBuilderFactory.DMSBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default DMSEndpointBuilderFactory.DMSEndpointBuilderhwcloudDms(String path)Huawei Distributed Message Service (DMS) (camel-huaweicloud-dms) To integrate with a fully managed, high-performance message queuing service on Huawei Cloud Category: cloud Since: 3.12 Maven coordinates: org.apache.camel:camel-huaweicloud-dms Syntax:hwcloud-dms:operationPath parameter: operation (required) Operation to be performeddefault DMSEndpointBuilderFactory.DMSEndpointBuilderhwcloudDms(String componentName, String path)Huawei Distributed Message Service (DMS) (camel-huaweicloud-dms) To integrate with a fully managed, high-performance message queuing service on Huawei Cloud Category: cloud Since: 3.12 Maven coordinates: org.apache.camel:camel-huaweicloud-dms Syntax:hwcloud-dms:operationPath parameter: operation (required) Operation to be performed
-
-
-
Method Detail
-
hwcloudDms
default DMSEndpointBuilderFactory.DMSEndpointBuilder hwcloudDms(String path)
Huawei Distributed Message Service (DMS) (camel-huaweicloud-dms) To integrate with a fully managed, high-performance message queuing service on Huawei Cloud Category: cloud Since: 3.12 Maven coordinates: org.apache.camel:camel-huaweicloud-dms Syntax:hwcloud-dms:operationPath parameter: operation (required) Operation to be performed- Parameters:
path- operation- Returns:
- the dsl builder
-
hwcloudDms
default DMSEndpointBuilderFactory.DMSEndpointBuilder hwcloudDms(String componentName, String path)
Huawei Distributed Message Service (DMS) (camel-huaweicloud-dms) To integrate with a fully managed, high-performance message queuing service on Huawei Cloud Category: cloud Since: 3.12 Maven coordinates: org.apache.camel:camel-huaweicloud-dms Syntax:hwcloud-dms:operationPath parameter: operation (required) Operation to be performed- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- operation- Returns:
- the dsl builder
-
-